package com.mosty.sjzx.service;

import com.mosty.base.model.dto.sjzx.TbSjSpbfDTO;
import com.mosty.base.model.entity.sjzx.TbSjSpbf;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbSjSpbfService {

    @ApiOperation("查询所有数据")
    List<TbSjSpbf> queryAll();
    
    @ApiOperation("通过ID查询单条数据")
    TbSjSpbf queryById(String id);

    @ApiOperation("新增数据")
    TbSjSpbfDTO insert(TbSjSpbfDTO dto);

    @ApiOperation("修改数据")
    TbSjSpbf update(TbSjSpbf tbSjSpbf);

    @ApiOperation("通过主键删除数据")
    boolean deleteById(String id);

}

